# encoding: utf-8

###########################################################################################################
#
#
#	Reporter Plugin
#
#	Read the docs:
#	https://github.com/schriftgestalt/GlyphsSDK/tree/master/Python%20Templates/Reporter
#
#
###########################################################################################################


from __future__ import division, print_function, unicode_literals
import objc
from GlyphsApp import *
from GlyphsApp.plugins import *

class ____PluginClassName____(ReporterPlugin):

	@objc.python_method
	def settings(self):
		self.menuName = "My Plugin"

	@objc.python_method
	def foreground(self, layer):
		NSColor.controlTextColor().set()
		NSBezierPath.fillRect_(layer.bounds)
		self.drawTextAtPoint(layer.parent.name, NSPoint(0, 0))

	@objc.python_method
	def willActivate(self):
		print("Activated")


	@objc.python_method
	def __file__(self):
		"""Please leave this method unchanged"""
		return __file__
